Bug 538460 - konsole: strange font effects when reverse video is used
konsole: strange font effects when reverse video is used
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 11:20 EST by Vincenzo "Enzo" Romano
Modified: 2010-12-03 22:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:13:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The screenshot after having selected a letter (84.86 KB, image/png)
2009-11-18 11:21 EST, Vincenzo "Enzo" Romano
no flags Details
The screenshot before selecting a letter (reverse video) (84.67 KB, image/png)
2009-11-18 11:22 EST, Vincenzo "Enzo" Romano
no flags Details

  None (edit)
Description Vincenzo "Enzo" Romano 2009-11-18 11:20:42 EST
Description of problem:
When reverse video is used the text is displaced from the original position.
The problem was not occurring with the same KDE in Fedora 11 (I am not sure whether the konsole version was the same).
See the screenshots.

Version-Release number of selected component (if applicable):
konsole 2.3.2
kde 4.3.2
Fedora 12

How reproducible:
Very oftem, but not always.

Steps to Reproduce:
1. open konsole and display some text (I did "ls -l /etc")
2. select a letter in a word (I selected the 1st "o" in the work "root")

  
Actual results:
The line starting from the selected text is displaced to the right by a few pixels

Expected results:
No text displacement should happen.

Additional info:
GTK+ widget style in use
Liberation font family in use
I upgraded from Fedora 11 with the "preupgrade" script.
Comment 1 Vincenzo "Enzo" Romano 2009-11-18 11:21:35 EST
Created attachment 370122 [details]
The screenshot after having selected a letter
Comment 2 Vincenzo "Enzo" Romano 2009-11-18 11:22:18 EST
Created attachment 370123 [details]
The screenshot before selecting a letter (reverse video)
Comment 3 Vincenzo "Enzo" Romano 2009-11-18 11:47:33 EST
By changing the font to anything buy "Liberation mono" I get the problem fixed!
Comment 4 Rex Dieter 2009-11-18 12:11:22 EST
Just noticed,
GTK+ widget style in use

I'd highly recommend not using that in KDE.  It's provided primarily as a fallback style for qt/kde apps running under gnome to look more native.
Comment 5 Rex Dieter 2009-11-18 12:13:38 EST
We've had intermittent reports of text disappearing over f12 development cycle, and oftentimes, it was attributed to video driver issues.

What video hw/driver are you using?
Comment 6 Vincenzo "Enzo" Romano 2009-11-18 12:19:00 EST
I am using Nouveau (nvidia)
Comment 7 Vincenzo "Enzo" Romano 2009-11-18 12:19:53 EST
And switching to a different *KDE widget style* won't afftect the problem. Only changing the font away from Liberation Mono.
Comment 8 Kevin Kofler 2009-11-18 16:59:12 EST
It looks like this font, while claiming to be monospaced, for some reason actually isn't. I'd blame either qt for misrendering the font / miscomputing character widths or liberation-fonts for just being broken. We need to figure out which package is at fault.
Comment 9 Kevin Kofler 2009-11-18 17:00:00 EST
(See the second attachment - https://bugzilla.redhat.com/attachment.cgi?id=370123 - for evidence of that "not really monospaced" effect.)
Comment 10 Steven M. Parrish 2009-12-02 14:16:49 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2010-11-04 02:12:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-03 22:13:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.